T1Exception (Java Card 3 Platform, APDU I/O Library)
Date: 2009-11-05

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javacard.apduio
Class T1Exception

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javacard.apduio.CadTransportException
                  com.sun.javacard.apduio.T1Exception

All Implemented Interfaces:
  java.io.Serializable

    public class T1Exception

extends CadTransportException

This class represents error states for T=1 CAD devices.

See Also:
  Serialized Form

Field Summary
`static int` | `T1_BAD_CHECKSUM`
`static int` | `T1_BLOCK_IO_ERROR`
`static int` | `T1_FUNCTION_NOT_SUPPORTED`
`static int` | `T1_PROTOCOL_VIOLATION`
`static int` | `T1_UNINITIALIZED`
`static int` | `T1_WRONG_LENGTH`

Fields inherited from class com.sun.javacard.apduio.CadTransportException
`_messages, status, STATUS_UNKNOWN`

Constructor Summary
`T1Exception(int status)` Constructor method for this exception class.

Method Summary
`java.lang.String` | `toString()` Returns a String describing this exception.

Methods inherited from class com.sun.javacard.apduio.CadTransportException
`getMessage, getStatus`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### T1_WRONG_LENGTH

    public static final int T1_WRONG_LENGTH

See Also:
  Constant Field Values

### T1_UNINITIALIZED

    public static final int T1_UNINITIALIZED

See Also:
  Constant Field Values

### T1_BLOCK_IO_ERROR

    public static final int T1_BLOCK_IO_ERROR

See Also:
  Constant Field Values

### T1_FUNCTION_NOT_SUPPORTED

    public static final int T1_FUNCTION_NOT_SUPPORTED

See Also:
  Constant Field Values

### T1_PROTOCOL_VIOLATION

    public static final int T1_PROTOCOL_VIOLATION

See Also:
  Constant Field Values

### T1_BAD_CHECKSUM

    public static final int T1_BAD_CHECKSUM

See Also:
  Constant Field Values

Constructor Detail

### T1Exception

    public T1Exception(int status)

  Constructor method for this exception class.

  Parameters:
    `status` - Initialization status for this exception.

Method Detail

### toString

    public java.lang.String toString()

  Returns a String describing this exception.

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.